#include <QPainter>
#include <QDebug>

#include "qcalendercolordatewidget.h"

QCalenderColorDateWidget::QCalenderColorDateWidget(QWidget *parent): QCalendarWidget(parent)
{
}

void QCalenderColorDateWidget::addDays(const QDate &date)
{
    if (m_dates.contains(date)) {
        m_dates.removeAll(date);
    }
    else {
        m_dates << date;
    }

    updateCell(date);
}

void QCalenderColorDateWidget::paintCell(QPainter *painter, const QRect &rect, const QDate &date) const
{
    if (m_dates.contains(date)) {
        qDebug() << date;
        painter->save();
        painter->setBrush(Qt::red);
        painter->drawRect(rect);
        painter->drawText(rect, Qt::AlignCenter|Qt::TextSingleLine, QString::number(date.day()));
        painter->restore();
    }
    else {
        QCalendarWidget::paintCell(painter, rect, date);
    }
}
